
####---- EXPERIMENTHUB METADATA TABLE ----####

meta <- list(
  data.frame(
    Title = "specht2019v2",
    Description = paste0("SCP expression data for monocytes (U-937) and macrophages ",
                         "at PSM, peptide and protein level"),
    BiocVersion = "3.13",
    Genome = NA_character_,
    SourceType = "CSV",
    SourceUrl = "https://drive.google.com/drive/folders/1Zhjik_JFjCQNIVjg63-fooJ4K0HZxWjV",
    SourceVersion = NA_character_,
    Species = "Homo sapiens",
    TaxonomyId = 9606,
    Coordinate_1_based = TRUE,
    DataProvider = "GoogleDrive",
    Maintainer = "Christophe Vanderaa <christophe.vanderaa@uclouvain.be>",
    RDataClass = "QFeatures",
    DispatchClass = "Rda",
    RDataPath = "scpdata/specht2019v2.Rda",
    PublicationDate = as.Date("2019/12/5"),
    NumberAssays = 179,
    Notes=NA_character_
  ),
  data.frame(
    Title = "specht2019v3",
    Description = paste0("SCP expression data for more monocytes (U-937) and ",
                         "macrophages at PSM, peptide and protein level"),
    BiocVersion = "3.13",
    Genome = NA_character_,
    SourceType = "CSV",
    SourceUrl = "https://drive.google.com/drive/folders/1Zhjik_JFjCQNIVjg63-fooJ4K0HZxWjV",
    SourceVersion = NA_character_,
    Species = "Homo sapiens",
    TaxonomyId = 9606,
    Coordinate_1_based = TRUE,
    DataProvider = "GoogleDrive",
    Maintainer = "Christophe Vanderaa <christophe.vanderaa@uclouvain.be>",
    RDataClass = "QFeatures",
    DispatchClass = "Rda",
    RDataPath = "scpdata/specht2019v3.Rda",
    PublicationDate = as.Date("2020/10/04"),
    NumberAssays = 179,
    Notes=NA_character_
  ),
  data.frame(
    Title = "dou2019_lysates",
    Description = paste0("SCP expression data for Hela digests (0.2 or 10 ng) at ",
                         "PSM and protein level"),
    BiocVersion = "3.13",
    Genome = NA_character_,
    SourceType = "XLS/XLSX",
    SourceUrl = "ftp://massive.ucsd.edu/MSV000084110/",
    SourceVersion = NA_character_,
    Species = "Homo sapiens",
    TaxonomyId = 9606,
    Coordinate_1_based = TRUE,
    DataProvider = "MassIVE",
    Maintainer = "Christophe Vanderaa <christophe.vanderaa@uclouvain.be>",
    RDataClass = "QFeatures",
    DispatchClass = "Rda",
    RDataPath = "scpdata/dou2019_lysates.Rda",
    PublicationDate = as.Date("2019/10/15"),
    NumberAssays = 3,
    Notes=NA_character_
  ),
  data.frame(
    Title = paste0("dou2019_mouse"),
    Description = paste0("SCP expression data for C10, SVEC or Raw cells at ",
                         "PSM and protein level"),
    BiocVersion = "3.13",
    Genome = NA_character_,
    SourceType = "XLS/XLSX",
    SourceUrl = "ftp://massive.ucsd.edu/MSV000084110/",
    SourceVersion = NA_character_,
    Species = "Mus musculus",
    TaxonomyId = 10090,
    Coordinate_1_based = TRUE,
    DataProvider = "MassIVE",
    Maintainer = "Christophe Vanderaa <christophe.vanderaa@uclouvain.be>",
    RDataClass = "QFeatures",
    DispatchClass = "Rda",
    RDataPath = "scpdata/dou2019_mouse.Rda",
    PublicationDate = as.Date("2019/10/15"),
    NumberAssays = 13,
    Notes=NA_character_
  ),
  data.frame(
    Title = "dou2019_boosting",
    Description = paste0("SCP expression data for C10, SVEC or Raw cells ",
                         "and 3 boosters (0, 5 or 50 ng) at PSM and protein level"),
    BiocVersion = "3.13",
    Genome = NA_character_,
    SourceType = "XLS/XLSX",
    SourceUrl = "ftp://massive.ucsd.edu/MSV000084110/",
    SourceVersion = NA_character_,
    Species = "Mus musculus",
    TaxonomyId = 10090,
    Coordinate_1_based = TRUE,
    DataProvider = "MassIVE",
    Maintainer = "Christophe Vanderaa <christophe.vanderaa@uclouvain.be>",
    RDataClass = "QFeatures",
    DispatchClass = "Rda",
    RDataPath = "scpdata/dou2019_boosting.Rda",
    PublicationDate = as.Date("2019/10/15"),
    NumberAssays = 7,
    Notes=NA_character_
  ),
  data.frame(
    Title = "zhu2018MCP",
    Description = paste0("Near SCP expression data for micro-dissected rat ",
                         "brain samples (50, 100, or 200 um width) at PSM level"),
    BiocVersion = "3.13",
    Genome = NA_character_,
    SourceType = "TXT",
    SourceUrl = "ftp://ftp.pride.ebi.ac.uk/pride/data/archive/2018/07/PXD008844",
    SourceVersion = NA_character_,
    Species = "Rattus norvegicus",
    TaxonomyId = 10116,
    Coordinate_1_based = TRUE,
    DataProvider = "PRIDE",
    Maintainer = "Christophe Vanderaa <christophe.vanderaa@uclouvain.be>",
    RDataClass = "QFeatures",
    DispatchClass = "Rda",
    RDataPath = "scpdata/zhu2018MCP.Rda",
    PublicationDate = as.Date("2018/09/01"),
    NumberAssays = 1,
    Notes=NA_character_
  ),
  data.frame(
    Title = "zhu2018NC_hela",
    Description = paste0("Near SCP expression data for HeLa samples (aproximately ",
                         "12, 40, or 140 cells) at PSM level"),
    BiocVersion = "3.13",
    Genome = NA_character_,
    SourceType = "TXT",
    SourceUrl = "ftp://ftp.pride.ebi.ac.uk/pride/data/archive/2018/01/PXD006847",
    SourceVersion = NA_character_,
    Species = "Homo sapiens",
    TaxonomyId = 9606,
    Coordinate_1_based = TRUE,
    DataProvider = "PRIDE",
    Maintainer = "Christophe Vanderaa <christophe.vanderaa@uclouvain.be>",
    RDataClass = "QFeatures",
    DispatchClass = "Rda",
    RDataPath = "scpdata/zhu2018NC_hela.Rda",
    PublicationDate = as.Date("2018/02/28"),
    NumberAssays = 1,
    Notes=NA_character_
  ),
  data.frame(
    Title = "zhu2018NC_lysates",
    Description = paste0("Near SCP expression data for HeLa lysates (10, 40 and ",
                         "140 cell equivalent) at PSM level"),
    BiocVersion = "3.13",
    Genome = NA_character_,
    SourceType = "TXT",
    SourceUrl = "ftp://ftp.pride.ebi.ac.uk/pride/data/archive/2018/01/PXD006847",
    SourceVersion = NA_character_,
    Species = "Homo sapiens",
    TaxonomyId = 9606,
    Coordinate_1_based = TRUE,
    DataProvider = "PRIDE",
    Maintainer = "Christophe Vanderaa <christophe.vanderaa@uclouvain.be>",
    RDataClass = "QFeatures",
    DispatchClass = "Rda",
    RDataPath = "scpdata/zhu2018NC_lysates.Rda",
    PublicationDate = as.Date("2018/02/28"),
    NumberAssays = 1,
    Notes=NA_character_
  ),
  data.frame(
    Title = "zhu2018NC_islets",
    Description = paste0("Near SCP expression data for micro-dissected human ", 
                         "pancreas samples (control patients or type 1 ",
                         "diabetes) at PSM level"),
    BiocVersion = "3.13",
    Genome = NA_character_,
    SourceType = "TXT",
    SourceUrl = "ftp://ftp.pride.ebi.ac.uk/pride/data/archive/2018/01/PXD006847",
    SourceVersion = NA_character_,
    Species = "Homo sapiens",
    TaxonomyId = 9606,
    Coordinate_1_based = TRUE,
    DataProvider = "PRIDE",
    Maintainer = "Christophe Vanderaa <christophe.vanderaa@uclouvain.be>",
    RDataClass = "QFeatures",
    DispatchClass = "Rda",
    RDataPath = "scpdata/zhu2018NC_islets.Rda",
    PublicationDate = as.Date("2018/02/28"),
    NumberAssays = 1,
    Notes=NA_character_
  ),
  data.frame(
    Title = "cong2020AC",
    Description = paste0("SCP expression data for Hela cells at PSM, peptide ",
                         "and protein level"),
    BiocVersion = "3.13",
    Genome = NA_character_,
    SourceType = "TXT",
    SourceUrl = "ftp://ftp.pride.ebi.ac.uk/pride/data/archive/2020/02/PXD016921",
    SourceVersion = NA_character_,
    Species = "Homo sapiens",
    TaxonomyId = 9606,
    Coordinate_1_based = TRUE,
    DataProvider = "PRIDE",
    Maintainer = "Christophe Vanderaa <christophe.vanderaa@uclouvain.be>",
    RDataClass = "QFeatures",
    DispatchClass = "Rda",
    RDataPath = "scpdata/cong2020AC.Rda",
    PublicationDate = as.Date("2020/01/02"),
    NumberAssays = 9,
    Notes=NA_character_
  ),
  data.frame(
    Title = "zhu2019EL",
    Description = paste0("SCP expression data for chicken utricle samples (1, ", 
                         "3, 5 or 20 cells) at PSM, peptide and protein level"),
    BiocVersion = "3.13",
    Genome = NA_character_,
    SourceType = "TXT",
    SourceUrl = "ftp://ftp.pride.ebi.ac.uk/pride/data/archive/2019/11/PXD014256",
    SourceVersion = NA_character_,
    Species = "Gallus gallus",
    TaxonomyId = 9031,
    Coordinate_1_based = TRUE,
    DataProvider = "PRIDE",
    Maintainer = "Christophe Vanderaa <christophe.vanderaa@uclouvain.be>",
    RDataClass = "QFeatures",
    DispatchClass = "Rda",
    RDataPath = "scpdata/zhu2019EL.Rda",
    PublicationDate = as.Date("2019/11/04"),
    NumberAssays = 62,
    Notes=NA_character_
  ),
  data.frame(
      Title = "liang2020_hela",
      Description = paste0("Expression data for HeLa cells (0, 1, ",
                           "10, 150, 500 cells) at PSM, peptide and ",
                           "protein level"),
      BiocVersion = "3.13",
      Genome = NA_character_,
      SourceType = "TXT",
      SourceUrl = "ftp://ftp.pride.ebi.ac.uk/pride/data/archive/2020/12/PXD021882/",
      SourceVersion = NA_character_,
      Species = "Homo sapiens",
      TaxonomyId = 9606,
      Coordinate_1_based = TRUE,
      DataProvider = "PRIDE",
      Maintainer = "Christophe Vanderaa <christophe.vanderaa@uclouvain.be>",
      RDataClass = "QFeatures",
      DispatchClass = "Rda",
      RDataPath = "scpdata/liang2020_hela.Rda",
      PublicationDate = as.Date("2020/12/22"),
      NumberAssays = 17,
      Notes=NA_character_
  )
)
meta <- do.call(rbind, meta)
  
write.csv(meta, "inst/extdata/metadata.csv")

